; ##############################################################################
; ##############################################################################
; ##############################################################################
;																				
; Ein Byte aus EEPROM holen und Z-Zeiger + 1									
;																				
; INPUT:	ZL Adresse (low)													
;			ZH Adresse (High)													
;																				
; OUTPUT: 	TEMP (DATEN)														
;																				
; rcall EEPROM_READ_PLUS ; INP: ZL+ZH(ADRESSE) OUT: TEMP (DATEN)				
;																				
EEPROM_READ_PLUS:
	sbic EECR,EEWE 		; Wait for completion of previous write
	rjmp EEPROM_READ_PLUS
	out  EEARH, ZH		; ADRESSE setzen						
	out  EEARL, ZL
	sbi  EECR,EERE		; Start eeprom read by writing EERE		
	in 	 temp,EEDR		; Read data from data register			
	adiw ZL,1			; ADRESSE +1 							
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;																				
; Ein Byte im EEPROM ablegen und Z-Zeiger + 1									
;																				
; INPUT:	ZL Adresse (low)													
;			ZH Adresse (High)													
;																				
; 		 	TEMP  DATEN															
;																				
;	rcall EEPROM_WRITE_PLUS	; INP: TEMP1(DATEN) ZL+ZH(ADRESSE) (Z+1)			
;																				
EEPROM_WRITE_PLUS:
	sbic EECR,EEWE		; Wait for completion of previous write
	rjmp EEPROM_WRITE_PLUS
	out  EEARH,ZH		; ADRESSE setzen						
	out  EEARL,ZL
	out  EEDR, temp		; Write data  to data register			
	sbi  EECR, EEMWE	; Write logical one to EEMWE			
	sbi  EECR, EEWE		; Start eeprom write by setting EEWE	
	adiw ZL,1			; ADRESSE +1 							
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WERKSEINSTELLUNGEN_EEPROM_ABFRAGEN:
	; Z-ZEIGER fr EEPROM initialisieren	
	ldi ZL,low (EEPROM_WERKSEINSTELLUNG)
	ldi ZH,high(EEPROM_WERKSEINSTELLUNG)
	rcall EEPROM_READ_PLUS ; INP: ZL+ZH(ADRESSE) OUT: TEMP1 (DATEN)	
	tst temp
	brne WERKSEINSTELLUNGEN_EEPROM_ABFRAGEN_w
	ret
WERKSEINSTELLUNGEN_EEPROM_ABFRAGEN_w:
	rcall WERKSEINSTELLUNGEN_EEPROM_SETZEN
ret
;###################################################################
;###################################################################
;###################################################################
WERKSEINSTELLUNGEN_EEPROM_SETZEN:
	WDR
	; Werkseinstellungen clear		
	ldi ZL,low (EEPROM_WERKSEINSTELLUNG)	; Z-ZEIGER fr EEPROM initialisieren	
	ldi ZH,high(EEPROM_WERKSEINSTELLUNG)
	ldi temp,0
	rcall EEPROM_WRITE_PLUS					; INP: TEMP1(DATEN) ZL+ZH(ADRESSE) (Z+1)	


WERKSEINSTELLUNGEN_SETZEN_RESET:
	rjmp WERKSEINSTELLUNGEN_SETZEN_RESET

ret
;###################################################################
;###################################################################
;###################################################################
